ECHO(1)

NOMBRE
echo - muestra una línea de texto

SINOPSIS
echo [OPCIÓN-CORTA]... [CADENA]...
echo OPCIÓN-LARGA

DESCRIPCIÓN

Muestra la/s CADENA/S en la salida estándar.

-n  no enviar el carácter "salto de línea" al final

-e  activa la interpretación de secuencias de escape (por omisión)

-E  desactiva la interpretación de secuencias de escape (por omisión)

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Si se utiliza -e, se reconocen las siguientes secuencias:

\\  barra invertida

\a  alarma (BEL)

\b  espacio-atrás

\c  no produce ninguna salida más

\e  escape

\f  nueva página

\n  nueva linea

\r  retorno de carro

\t  tabulación horizontal

\v  tabulación vertical

\0NNN
    el byte con valor octal NNN (de 1 a 3 dígitos)

\xHH
    el byte con valor hexadecimal HH (de 1 a 2 dígitos)

NOTA: su shell puede tener su propia versión de echo, que usualmente tiene prioridad sobre la versión que se describe aquí. Por favor acuda a la documentación de su shell para saber los detalles sobre las opciones que admite.

NOTA: printf(1) es la mejor alternativa al no tener problemas mostrando salidas con formatos similares a las opciones.

AUTOR
Escrito por Brian Fox y Chet Ramey.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
printf(1)

Ayuda en línea: <https://www.gnu.org/software/coreutils/echo>
también disponible localmente ejecutando: info '(coreutils) echo invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Victor Moral <victor@venexma.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.